Cluster Version Operator is not using proxy settings in OCP 4.5 version.

Solution Verified - Updated -

Issue

  • Cluster version operator is unable to get the cluster updates on OCP 4.5 cluster with cluster-wide-proxy configured.
$ oc adm upgrade
Cluster version is 4.5.5
 warning: Cannot display available updates:
Reason: RemoteFailed
Message: Unable to retrieve available updates: Get https://api.openshift.com/api/upgrades_info/v1/graph?arch=amd64&channel=stable-4.5&id=xxxx&version=4.5.5: dial tcp IP:port: connect: connection timed out

Environment

  • Red Hat OpenShift Container Platform
    • 4.5

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In